# Get Green Lot Details Gets detailed information about green lots by their IDs. Endpoint: POST /inventory.green.getGreenLotDetailsByIds Security: oauth2 ## Request fields (application/json): - `params` (object) - `params.filter` (object) Defines all required and optional filter parameters for the operation. - `params.filter.greenLotIds` (array, required) A set of unique identifiers (UUIDs) of green lots to fetch Example: ["123e4567-e89b-12d3-a456-426614174000","123e4567-e89b-12d3-a456-426614174001"] - `params.pagination` (object) Defines all required and optional pagination parameters for the operation. - `params.pagination.limit` (integer) The number of elements to be returned Example: 20 - `params.pagination.after` (string) The cursor to retrieve the next page. This is an opaque value that should not be interpreted by the client. Example: "aBc=" ## Response 200 fields (application/json): - `ok` (boolean) Indicates whether the request was successful. Example: true - `result` (object) Contains the response data of a successful request. - `result.greenLotDetails` (array) - `result.greenLotDetails.note` (string) Additional information about the green lot. Example: "First lot of new harvest, very good quality." - `result.greenLotDetails.grade` (string) A custom grade given to the lot. Example: "AAA" - `result.greenLotDetails.cropYear` (string) Describes the time period a lot was cropped in. This field is a plain string to allow more detailed descriptions. Example: "Start of 2024" - `result.greenLotDetails.processingMethods` (array) The processing methods applied to the lot. - `result.greenLotDetails.countriesOfOrigin` (array) The countries a lot originates from in ISO 3166-1 format. Example: ["DEU","USA"] - `result.greenLotDetails.varieties` (array) The varieties associated with the lot Example: ["MyObject"] - `result.greenLotDetails.varieties.name` (string) - `result.greenLotDetails.certifications` (array) The certifications a lot has. Example: ["MyObject"] - `result.greenLotDetails.eudrReferences` (array) Reference numbers for EUDR conformity. - `result.greenLotDetails.eudrReferences.number` (string) The type of the EUDR reference number. Example: "EUDR-12345" - `result.greenLotDetails.greenLot` (object) Reference to the green lot this response describes. - `result.greenLotDetails.greenLot.id` (string) The unique identifier of the object. Example: "550e8400-e29b-41d4-a716-446655440000" - `result.greenLotDetails.greenLot.name` (string) The name of the Object. Example: "Sample object name" ## Response 400 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 401 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 403 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 422 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 500 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided"